package com.mcwl.pay.domain.vo;

import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import org.springframework.format.annotation.DateTimeFormat;

import java.util.Date;

/**
 * 金币充值记录
 */
@Data
@ApiModel(value = "金币充值记录")
public class WalletRechargeRecordVo {

    private Long id;
    /**
     * 订单编码
     */
    @ApiModelProperty(value = "订单编码")
    private String code;

    /**
     * 商品名称
     */
    @ApiModelProperty(value = "商品名称")
    private String productName;

    /**
     * 下单时间
     */
    @ApiModelProperty(value = "下单时间")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date orderTime;

    /**
     * 付款金额
     */
    @ApiModelProperty(value = "付款金额")
    private Integer paymentAmount;
}
